TIMERTHREAD Struct Reference

`#include <TimerThread.h>`

Collaboration diagram for TIMERTHREAD:
[legend]

## Data Fields

ithread_mutex_t | mutex
ithread_cond_t | condition
int | lastEventId
LinkedList | eventQ
int | shutdown
FreeList | freeEvents
ThreadPool * | tp

## Detailed Description

A timer thread similar to the one in the Upnp SDK that allows the scheduling of a job to run at a specified time in the future.

Because the timer thread uses the thread pool there is no gurantee of timing, only approximate timing.

Uses ThreadPool, Mutex, Condition, Thread.

The documentation for this struct was generated from the following file:

- /build/pupnp-EKUuah/pupnp-1.14.18/upnp/src/threadutil/TimerThread.h